@echo off
rem   add latitude and longitude Exif metadata to the file
rem   using exiftool (http://www.sno.phy.queensu.ca/~phil/exiftool/)
rem   Andrew Davison, November 2010, ad@fivedots.coe.psu.ac.th
rem
rem   GPS tags are listed at:
rem      http://www.sno.phy.queensu.ca/~phil/exiftool/TagNames/GPS.html
rem   Usage example:
rem      stampGPS 53.314401 -2.255305 library.jpg

IF [%1]==[] goto Error
IF [%2]==[] goto Error
IF [%3]==[] goto Error

rem get integer part of latitude and longitude
set _lat=%1
set _long=%2
set /A _latInt=_lat
set /A _longInt=_long

if %_latInt% LSS 0 (
  set _latRef=-exif:gpslatituderef=S
) else (
  set _latRef=-exif:gpslatituderef=N
)

if %_longInt% LSS 0 (
  set _longRef=-exif:GPSLongitudeRef=W
) else (
  set _longRef=-exif:GPSLongitudeRef=E
)

echo Adding (%_lat% %_long%) to %3 with exiftool...

exiftool -exif:gpslatitude=%_lat% -exif:gpslongitude=%_long% ^
 %_latRef% %_longRef% ^
 -exif:GPSAltitude=0 -exif:GPSAltitudeRef=0 -n %3

echo Finished.
exit /b

:Error
echo Incorrect number of arguments
exit /b

